Subject: Re: [RFC] ip / ifconfig redesign

From: Rick Jones <[email-masked]>
Date: Mon, 05 Dec 2005 14:28:33 -0800

John Heffner wrote:
> Jeroen Massar wrote:
> 
>> I wonder how many RFC's it violates. An interface must only answer ARP's
>> on the interface that it is configured on, not anything else.
> 
> 
> Not true.  See RFC 1122, section 3.3.4.  The standard leaves this 
> decision up to the implementation, for good reason.
> 
>  From 1122 (note the use of MAY, not MUST or SHOULD):
> "
>             There are two key requirement issues related to multihoming:
> 
>             (A)  A host MAY silently discard an incoming datagram whose
>                  destination address does not correspond to the physical
>                  interface through which it is received.
> 
>             (B)  A host MAY restrict itself to sending (non-source-
>                  routed) IP datagrams only through the physical
>                  interface that corresponds to the IP source address of
>                  the datagrams.
> "

That's the discussion related to things like the "Strong ES" (end system) model 
right?  As such, isn't that discussing what _IP_ may do rather than what ARP may 
do?  1122 doesn't say much about the interfaces/MAC's that should be part of a 
given ARP reply.  ARP seems to be RFC 826 and probably others, and the algorithm 
described in 826 doesn't seem to be specific on the topic of interfaces - at 
least not to my really brief read.

rick jones